Loading...
Searching...
No Matches
snd_tplg_enum_template Struct Reference
Topology Interface

Template type for enumerated control objects. More...

`#include <topology.h>`

Collaboration diagram for snd_tplg_enum_template:
[legend]

## Data Fields

struct snd_tplg_ctl_template | hdr
struct snd_tplg_channel_map_template * | map
int | items
int | mask
const char ** | texts
const int ** | values
struct snd_soc_tplg_private * | priv

## Detailed Description

Template type for enumerated control objects.

## Field Documentation

## hdr

struct snd_tplg_ctl_template snd_tplg_enum_template::hdr

control type header

## items

int snd_tplg_enum_template::items

number of enumerated items in control

## map

struct snd_tplg_channel_map_template* snd_tplg_enum_template::map

channel map

## mask

int snd_tplg_enum_template::mask

register mask size

## priv

struct snd_soc_tplg_private* snd_tplg_enum_template::priv

control private data

## texts

const char** snd_tplg_enum_template::texts

control text items

## values

const int** snd_tplg_enum_template::values

control value items

The documentation for this struct was generated from the following file:

- /build/alsa-lib-INT9kU/alsa-lib-1.2.15.3/include/topology.h